Name:		cook
Version:	2.34
Release:	2%{?dist}

Summary: 	File construction tool

Group:		Development/Tools
License:	GPLv2+
URL:		http://miller.emu.id.au/pmiller/software/cook
Source:		http://miller.emu.id.au/pmiller/software/cook/cook-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	groff
BuildRequires:	groff-perl
BuildRequires:  bison
BuildRequires:  gettext
BuildRequires:  sharutils
BuildRequires:  ghostscript
BuildRequires:  m4
Provides:	perl(host_lists.pl)

%description
Cook is a tool for constructing files. It is given a set of files to
create, and recipes of how to create them. In any non-trivial program
there will be prerequisites to performing the actions necessary to
creating any file, such as include files.  The cook program provides a
mechanism to define these.


%prep
%setup -q


%build
%configure --libdir=%{_datadir}
# _smp_mflags breaks the build
make # %{?_smp_mflags}
`grog -Tps lib/en/tutorial/main.mm` > tutorial.ps
`grog -Tps lib/en/user-guide/main.mm` > user-guide.ps
`grog -Tps lib/en/refman/main.man` > refman.ps
for f in *.ps; do
    ps2pdf $f
done


%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/cook/en/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/cook/en/LC_MESSAGES
make DESTDIR=$RPM_BUILD_ROOT install
rm -fr $RPM_BUILD_ROOT%{_datadir}/cook/en/man1
rm -fr $RPM_BUILD_ROOT%{_datadir}/cook/en/refman.*
rm -fr $RPM_BUILD_ROOT%{_datadir}/cook/en/tutorial.*
rm -fr $RPM_BUILD_ROOT%{_datadir}/cook/en/user-guide.*


%check
make sure


%clean
rm -fr ${RPM_BUILD_ROOT}


%files
%defattr (-,root,root,-)
%{_bindir}/*
%{_datadir}/cook
%{_mandir}/man1/*
%doc *.pdf
%doc README


%changelog
* Mon Feb 21 2011 Gérard Milmeister <gemi@bluewin.ch> - 2.34-2
- Documentation is built and included

* Tue Feb  8 2011 Gérard Milmeister <gemi@bluewin.ch> - 2.34-1
- new release 2.34

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug  4 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.32-1
- new release 2.32

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.30-2
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.30-1
- new release 2.30
- change license to GPLv2+

* Wed Jun  6 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.28-1
- new version 2.28

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.26-3
- Rebuild for FE6

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.26-2
- Rebuild for Fedora Extras 5

* Tue Jan 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.26-1
- new version 2.26

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 2.25-4
- fix build with gcc4 (mschwendt, #156203)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.25-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.25-1
- New Version 2.25

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.3
- added check

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.2
- Improved specfile

* Sat Oct 18 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.24-0.fdr.1
- First Fedora release
